org.apache.bcel.classfile

## Class AccessFlags

- java.lang.Object
- - org.apache.bcel.classfile.AccessFlags

- Direct Known Subclasses:
    ClassGen, FieldGenOrMethodGen, FieldOrMethod, JavaClass

      public abstract class AccessFlags
      extends Object

  Super class for all objects that have modifiers like private, final, ... I.e. classes, fields, and methods.
  Version:
    $Id: AccessFlags.java 1748636 2016-06-15 20:45:17Z dbrosius $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `access_flags` Deprecated. (since 6.0) will be made private; do not access directly, use getter/setter

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessFlags()`
    `AccessFlags(int a)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessFlags()`
    `int` | `getModifiers()`
    `boolean` | `isAbstract()`
    `void` | `isAbstract(boolean flag)`
    `boolean` | `isAnnotation()`
    `void` | `isAnnotation(boolean flag)`
    `boolean` | `isEnum()`
    `void` | `isEnum(boolean flag)`
    `boolean` | `isFinal()`
    `void` | `isFinal(boolean flag)`
    `boolean` | `isInterface()`
    `void` | `isInterface(boolean flag)`
    `boolean` | `isNative()`
    `void` | `isNative(boolean flag)`
    `boolean` | `isPrivate()`
    `void` | `isPrivate(boolean flag)`
    `boolean` | `isProtected()`
    `void` | `isProtected(boolean flag)`
    `boolean` | `isPublic()`
    `void` | `isPublic(boolean flag)`
    `boolean` | `isStatic()`
    `void` | `isStatic(boolean flag)`
    `boolean` | `isStrictfp()`
    `void` | `isStrictfp(boolean flag)`
    `boolean` | `isSynchronized()`
    `void` | `isSynchronized(boolean flag)`
    `boolean` | `isSynthetic()`
    `void` | `isSynthetic(boolean flag)`
    `boolean` | `isTransient()`
    `void` | `isTransient(boolean flag)`
    `boolean` | `isVarArgs()`
    `void` | `isVarArgs(boolean flag)`
    `boolean` | `isVolatile()`
    `void` | `isVolatile(boolean flag)`
    `void` | `setAccessFlags(int access_flags)` Set access flags aka "modifiers".
    `void` | `setModifiers(int access_flags)` Set access flags aka "modifiers".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### access_flags

          @Deprecated
          protected int access_flags

      Deprecated. (since 6.0) will be made private; do not access directly, use getter/setter

  - ### Constructor Detail

    - #### AccessFlags

          public AccessFlags()

    - #### AccessFlags

          public AccessFlags(int a)

      Parameters:
        `a` - inital access flags

  - ### Method Detail

    - #### getAccessFlags

          public final int getAccessFlags()

      Returns:
        Access flags of the object aka. "modifiers".

    - #### getModifiers

          public final int getModifiers()

      Returns:
        Access flags of the object aka. "modifiers".

    - #### setAccessFlags

          public final void setAccessFlags(int access_flags)

      Set access flags aka "modifiers".
      Parameters:
        `access_flags` - Access flags of the object.

    - #### setModifiers

          public final void setModifiers(int access_flags)

      Set access flags aka "modifiers".
      Parameters:
        `access_flags` - Access flags of the object.

    - #### isPublic

          public final void isPublic(boolean flag)

    - #### isPublic

          public final boolean isPublic()

    - #### isPrivate

          public final void isPrivate(boolean flag)

    - #### isPrivate

          public final boolean isPrivate()

    - #### isProtected

          public final void isProtected(boolean flag)

    - #### isProtected

          public final boolean isProtected()

    - #### isStatic

          public final void isStatic(boolean flag)

    - #### isStatic

          public final boolean isStatic()

    - #### isFinal

          public final void isFinal(boolean flag)

    - #### isFinal

          public final boolean isFinal()

    - #### isSynchronized

          public final void isSynchronized(boolean flag)

    - #### isSynchronized

          public final boolean isSynchronized()

    - #### isVolatile

          public final void isVolatile(boolean flag)

    - #### isVolatile

          public final boolean isVolatile()

    - #### isTransient

          public final void isTransient(boolean flag)

    - #### isTransient

          public final boolean isTransient()

    - #### isNative

          public final void isNative(boolean flag)

    - #### isNative

          public final boolean isNative()

    - #### isInterface

          public final void isInterface(boolean flag)

    - #### isInterface

          public final boolean isInterface()

    - #### isAbstract

          public final void isAbstract(boolean flag)

    - #### isAbstract

          public final boolean isAbstract()

    - #### isStrictfp

          public final void isStrictfp(boolean flag)

    - #### isStrictfp

          public final boolean isStrictfp()

    - #### isSynthetic

          public final void isSynthetic(boolean flag)

    - #### isSynthetic

          public final boolean isSynthetic()

    - #### isAnnotation

          public final void isAnnotation(boolean flag)

    - #### isAnnotation

          public final boolean isAnnotation()

    - #### isEnum

          public final void isEnum(boolean flag)

    - #### isEnum

          public final boolean isEnum()

    - #### isVarArgs

          public final void isVarArgs(boolean flag)

    - #### isVarArgs

          public final boolean isVarArgs()

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.